package com.zjsgfa.project.zjsgfa.service;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjDzfc;

/**
 * 地质分层Service接口
 * 
 * @author
 * @date 2025-07-07
 */
public interface ISjDzfcService 
{
    /**
     * 查询地质分层
     * 
     * @param id 地质分层主键
     * @return 地质分层
     */
    public SjDzfc selectSjDzfcById(Long id);

    /**
     * 查询地质分层列表
     * 
     * @param sjDzfc 地质分层
     * @return 地质分层集合
     */
    public List<SjDzfc> selectSjDzfcList(SjDzfc sjDzfc);

    /**
     * 新增地质分层
     * 
     * @param sjDzfc 地质分层
     * @return 结果
     */
    public int insertSjDzfc(SjDzfc sjDzfc);

    /**
     * 修改地质分层
     * 
     * @param sjDzfc 地质分层
     * @return 结果
     */
    public int updateSjDzfc(SjDzfc sjDzfc);

    /**
     * 批量删除地质分层
     * 
     * @param ids 需要删除的地质分层主键集合
     * @return 结果
     */
    public int deleteSjDzfcByIds(Long[] ids);

    /**
     * 删除地质分层信息
     * 
     * @param id 地质分层主键
     * @return 结果
     */
    public int deleteSjDzfcById(Long id);
}
